![npm (tag)](https://img.shields.io/npm/v/concordialang/alpha?color=green&label=NPM&style=for-the-badge)
[![License](https://img.shields.io/npm/l/concordialang.svg?style=for-the-badge&color=green)](https://github.com/thiagodp/concordialang/blob/master/LICENSE.txt)
![GitHub branch checks state](https://img.shields.io/github/checks-status/thiagodp/concordialang/v2?style=for-the-badge)
![GitHub last commit (branch)](https://img.shields.io/github/last-commit/thiagodp/concordialang/v2?style=for-the-badge)
[![Slack](https://img.shields.io/badge/slack-chat-blue.svg?style=for-the-badge)](https://bit.ly/concordialang)

# Concordia

> Automatically generates functional tests from your Agile requirements specification.

At a glance:

1. Write Agile requirements specifications in [Concordia Language](https://concordialang.gitbook.io/concordialang/introduction/language-overview) (currently available in English and Portuguese).

2. Use Concordia Compiler for setting the testing environment up for you.

3. Use Concordia Compiler for generating and executing **functional (UI) test scripts** from your Concordia specification, using [plug-ins](https://concordialang.gitbook.io/concordialang/introduction/plugins). *No coding required.*

And More:
- Concordia Compiler infers test data and test oracles and uses [effective testing techniques](https://concordialang.gitbook.io/concordialang/how-it-works/techniques#testing-techniques) to find bugs in your application.
- You can [create your own plug-in](https://concordialang.gitbook.io/concordialang/development/creating-a-plug-in) whether your favorite programming language or testing framework [is not in the list](https://concordialang.gitbook.io/concordialang/introduction/plugins).


## Documentation

- [Version 2](https://concordialang.gitbook.io/concordialang/) - _English_ 👈
- [Version 1](https://github.com/thiagodp/concordialang/tree/v1/docs) - _English and Portuguese_

## Installation

`npm i -D concordialang@alpha`

## License

[![AGPL](https://www.gnu.org/graphics/agplv3-88x31.png)](LICENSE.txt)

